%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name bson

%global rubyabi 1.9.1

Summary: Ruby implementation of BSON
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 1.8.6
Release: 3%{?dist}
Group: Development/Languages
License: ASL 2.0 
URL: http://www.mongodb.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}ruby
BuildRequires: %{?scl:%scl_prefix}ruby-devel
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildRequires: %{?scl:%scl_prefix}rubygem(json)
BuildRequires: %{?scl:%scl_prefix}rubygem(minitest)
BuildArch: noarch
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A Ruby BSON implementation for MongoDB. For more information about Mongo, see
http://www.mongodb.org. For more information on BSON, see
http://www.bsonspec.org.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%{?scl:scl enable %scl "}
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

%check
# v 1.8.1 - tests require test_helper, which is gone
#%if 0%{?rhel} >= 7 && 0%{?fedora} >= 17
#pushd .%{gem_instdir}
## Run the test suite with minitest.
## https://jira.mongodb.org/browse/RUBY-465
#sed -i "/gem 'test-unit'/ d" test/bson/test_helper.rb
#
#testrb -Ilib test/**/*_test.rb
#popd
#%endif

%files
%{_bindir}/b2json
%{_bindir}/j2bson
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%{gem_dir}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/bson.gemspec


%changelog
* Mon Jun 03 2013 John Matthews <jwmatthews@gmail.com> 1.8.6-3
- Update tito.props to avoid the 'ruby193' name prepended during dist-git build
  (jwmatthews@gmail.com)

* Tue May 28 2013 John Matthews <jwmatthews@gmail.com> 1.8.6-2
- Adding rubygem-bson (jwmatthews@gmail.com)

* Fri May 24 2013 John Matthews <jmatthews@redhat.com> - 1.8.6-1
- Upgraded & Repackaged to use default gem_dir provided by SCL configuration

* Mon Jan 14 2013 Troy Dawson <tdawson@redhat.com> - 1.8.1-1
- Updated to version 1.8.1

* Thu Nov 08 2012 Troy Dawson <tdawson@redhat.com>  - 1.7.0-3
- Packaged to work with SCL

* Tue Oct 09 2012 Troy Dawson <tdawson@redhat.com> - 1.7.0-1
- Updated to version 1.7.0

* Wed Aug 08 2012 Vít Ondruch <vondruch@redhat.com> - 1.6.4-1
- Update to bson 1.6.4.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.4.0-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Vít Ondruch <vondruch@redhat.com> - 1.4.0-1
- Update to bson 1.4.0

* Wed May 25 2011 Vít Ondruch <vondruch@redhat.com> - 1.3.1-1
- Initial package
